VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Lib_Dictionary"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'-----------------------------------------------------------------------------
'-- Class Name: Dictionary Collections For Spell Checker
'-- Created   : 19-07-2002
'-- Author    : Gary Noble
'-- Copyright : Gary Noble 2002
'-----------------------------------------------------------------------------
Public Root As Collection
Public Sub Add(strCode As String, strWord As String)
    Dim WordCollection As Collection
    Set WordCollection = New Collection
    Dim i As Long
    On Error GoTo e
     ' Add collection to hold words with give
     ' soundex code.
     ' If this code is already in the collection, there will be
     ' an error so skip to e:
    Root.Add WordCollection, strCode
e:
    ' Add the new word to the collection for the given code
    Set WordCollection = Root.Item(strCode)
    WordCollection.Add strWord
End Sub
' Returns a collection of words that have the same soundex code
' as the given code.
' If the code isn't in the Root collection, nothing is returned
Public Property Get GetCodeNode(strCode As String) As Collection
On Error Resume Next
    Set GetCodeNode = Root(strCode)
End Property

Private Sub Class_Initialize()
    Set Root = New Collection
End Sub

Public Property Get Count() As Long
   Count = Root.Count
End Property

